Skip to main content
GET
Get Agent

Permissions

Requires Agents and workflows API and Use agents and workflows permissions. If these permissions are not available to select, contact support@harvey.ai.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

The unique identifier of the agent.

Response

The requested agent.

agent_id
string<uuid>

The unique identifier of the agent.

name
string

The agent's name.

description
string | null

The agent's description. Null when its author did not give it one.

created_at
string<date-time>

When the agent was created.

version
integer

Version number of the agent's currently published version.

version_id
string<uuid>

Identifier of the agent's currently published version — the version a run started now would execute. Compare it against the value you last stored to detect that the agent was republished.